## dictd 1.4.9

=== regex/Makefile ===
# You probably want to take -DREDEBUG out of CFLAGS, and put something like
# -O in, *after* testing (-DREDEBUG strengthens testing by enabling a lot of
# internal assertion checking and some debugging facilities).
# Put -Dconst= in for a pre-ANSI compiler.
# Do not take -DPOSIX_MISTAKE out.
# REGCFLAGS isn't important to you (it's for my use in some special contexts).
CFLAGS=-I. -DPOSIX_MISTAKE -DREDEBUG $(REGCFLAGS)

# If you have a pre-ANSI compiler, put -o into MKHFLAGS.  If you want
# the Berkeley __P macro, put -b in.
MKHFLAGS=

# Flags for linking but not compiling, if any.
LDFLAGS=

# Extra libraries for linking, if any.
LIBS=

# Internal stuff, should not need changing.
OBJPRODN=regcomp.o regexec.o regerror.o regfree.o
OBJS=$(OBJPRODN) split.o debug.o main.o
H=cclass.h cname.h regex2.h utils.h
REGSRC=regcomp.c regerror.c regexec.c regfree.c
ALLSRC=$(REGSRC) engine.c debug.c main.c split.c

# Stuff that matters only if you're trying to lint the package.
LINTFLAGS=-I. -Dstatic= -Dconst= -DREDEBUG
LINTC=regcomp.c regexec.c regerror.c regfree.c debug.c main.c
JUNKLINT=possible pointer alignment|null effect

# arrangements to build forward-reference header files
.SUFFIXES:	.ih .h
.c.ih:
	sh ./mkh $(MKHFLAGS) -p $< >$@

default:	r

lib: libregex.a

libregex.a:	$(OBJPRODN)
#	rm -f libregex.a
	ar crv libregex.a $(OBJPRODN)

purge:
	rm -f *.o

# stuff to build regex.h
REGEXH=regex.h
REGEXHSRC=regex2.h $(REGSRC)
$(REGEXH):	$(REGEXHSRC) mkh
	sh ./mkh $(MKHFLAGS) -i _REGEX_H_ $(REGEXHSRC) >regex.tmp
	cmp -s regex.tmp regex.h 2>/dev/null || cp regex.tmp regex.h
	rm -f regex.tmp

# dependencies
$(OBJPRODN) debug.o:	utils.h regex.h regex2.h
regcomp.o:	cclass.h cname.h regcomp.ih
regexec.o:	engine.c engine.ih
regerror.o:	regerror.ih
debug.o:	debug.ih
main.o:	main.ih

# tester
re:	$(OBJS)
	$(CC) $(CFLAGS) $(LDFLAGS) $(OBJS) $(LIBS) -o $@

# regression test
r:	re tests
	./re <tests
	./re -el <tests
	./re -er <tests

# 57 variants, and other stuff, for development use -- not useful to you
ra:	./re tests
	-./re <tests
	-./re -el <tests
	-./re -er <tests

rx:	./re tests
	./re -x <tests
	./re -x -el <tests
	./re -x -er <tests

t:	./re tests
	-time ./re <tests
	-time ./re -cs <tests
	-time ./re -el <tests
	-time ./re -cs -el <tests

l:	$(LINTC)
	lint $(LINTFLAGS) -h $(LINTC) 2>&1 | egrep -v '$(JUNKLINT)' | tee lint

fullprint:
	ti README WHATSNEW notes todo | list
	ti *.h | list
	list *.c
	list regex.3 regex.7

print:
	ti README WHATSNEW notes todo | list
	ti *.h | list
	list reg*.c engine.c


mf.tmp:	Makefile
	sed '/^REGEXH=/s/=.*/=regex.h/' Makefile | sed '/#DEL$$/d' >$@

DTRH=cclass.h cname.h regex2.h utils.h
PRE=COPYRIGHT README WHATSNEW
POST=mkh regex.3 regex.7 tests $(DTRH) $(ALLSRC) fake/*.[ch]
FILES=$(PRE) Makefile $(POST)
DTR=$(PRE) Makefile=mf.tmp $(POST)
dtr:	$(FILES) mf.tmp
	makedtr $(DTR) >$@
	rm mf.tmp

cio:	$(FILES)
	cio $(FILES)

rdf:	$(FILES)
	rcsdiff -c $(FILES) 2>&1 | p

# various forms of cleanup
tidy:
	rm -f junk* core core.* *.core dtr *.tmp lint

clean:	tidy
	rm -f *.o *.s *.ih re libregex.a

# don't do this one unless you know what you're doing
spotless:	clean
	rm -f mkh regex.h

=== zlib/Makefile ===
# Makefile for zlib
# Copyright (C) 1995-1996 Jean-loup Gailly.
# For conditions of distribution and use, see copyright notice in zlib.h 

# To compile and test, type:
#   ./configure; make test
# The call of configure is optional if you don't have special requirements

# To install /usr/local/lib/libz.* and /usr/local/include/zlib.h, type:
#    make install
# To install in $HOME instead of /usr/local, use:
#    make install prefix=$HOME

CC=cc

CFLAGS=-O
#CFLAGS=-O -DMAX_WBITS=14 -DMAX_MEM_LEVEL=7
#CFLAGS=-g -DDEBUG
#CFLAGS=-O3 -Wall -Wwrite-strings -Wpointer-arith -Wconversion \
#           -Wstrict-prototypes -Wmissing-prototypes

LDFLAGS=-L. -lz
LDSHARED=$(CC)

VER=1.0.4
LIBS=libz.a

AR=ar rc
RANLIB=ranlib
TAR=tar

prefix=/usr/local
exec_prefix = $(prefix)

OBJS = adler32.o compress.o crc32.o gzio.o uncompr.o deflate.o trees.o \
       zutil.o inflate.o infblock.o inftrees.o infcodes.o infutil.o inffast.o

TEST_OBJS = example.o minigzip.o

DISTFILES = README INDEX ChangeLog configure Make*[a-z0-9] descrip.mms \
	    zlib.def zlib.rc algorithm.doc  *.[ch]

all: example minigzip

test: all
	./example
	echo hello world | ./minigzip | ./minigzip -d 

libz.a: $(OBJS)
	$(AR) $@ $(OBJS)
	-@ ($(RANLIB) $@ || true) 2>/dev/null

libz.so.$(VER): $(OBJS)
	$(LDSHARED) -o $@ $(OBJS)
	rm -f libz.so; ln -s $@ libz.so

example: example.o $(LIBS)
	$(CC) $(CFLAGS) -o $@ example.o $(LDFLAGS)

minigzip: minigzip.o $(LIBS)
	$(CC) $(CFLAGS) -o $@ minigzip.o $(LDFLAGS)

install: $(LIBS)
	-@if [ ! $(prefix)/include  ]; then mkdir $(prefix)/include; fi
	-@if [ ! $(exec_prefix)/lib ]; then mkdir $(exec_prefix)/lib; fi
	cp zlib.h zconf.h $(prefix)/include
	chmod 644 $(prefix)/include/zlib.h $(prefix)/include/zconf.h
	cp $(LIBS) $(exec_prefix)/lib
	cd $(exec_prefix)/lib; chmod 644 $(LIBS)
	-@(cd $(exec_prefix)/lib; $(RANLIB) libz.a || true) >/dev/null 2>&1
	cd $(exec_prefix)/lib; if test -f libz.so.$(VER); then \
	  ln -s libz.so.$(VER) libz.so; \
	fi
# The ranlib in install is needed on NeXTSTEP which checks file times

uninstall:
	cd $(exec_prefix)/lib; rm -f $(LIBS); \
	if test -f libz.so; then \
	 v=`sed -n '/VERSION "/s/.*"\(.*\)".*/\1/p'<$(prefix)/include/zlib.h`;\
	 rm -f libz.so.$$v libz.so; \
	fi
	cd $(prefix)/include; rm -f zlib.h zconf.h

clean distclean:
	rm -f *.o *~ example minigzip libz.a libz.so* foo.gz

zip:
	mv Makefile Makefile~; cp -p Makefile.in Makefile
	v=`sed -n -e 's/\.//g' -e '/VERSION "/s/.*"\(.*\)".*/\1/p' < zlib.h`;\
	zip -ul9 zlib$$v $(DISTFILES)
	mv Makefile~ Makefile

dist:
	mv Makefile Makefile~; cp -p Makefile.in Makefile
	d=zlib-`sed -n '/VERSION "/s/.*"\(.*\)".*/\1/p' < zlib.h`;\
	rm -f $$d.tar.gz; \
	if test ! -d ../$$d; then rm -f ../$$d; ln -s `pwd` ../$$d; fi; \
	files=""; \
	for f in $(DISTFILES); do files="$$files $$d/$$f"; done; \
	cd ..; \
	GZIP=-9 $(TAR) chofz $$d/$$d.tar.gz $$files; \
	if test ! -d $$d; then rm -f $$d; fi
	mv Makefile~ Makefile

tags:	
	etags *.[ch]

depend:
	makedepend -- $(CFLAGS) -- *.[ch]

# DO NOT DELETE THIS LINE -- make depend depends on it.

adler32.o: zlib.h zconf.h
compress.o: zlib.h zconf.h
crc32.o: zlib.h zconf.h
deflate.o: deflate.h zutil.h zlib.h zconf.h
example.o: zlib.h zconf.h
gzio.o: zutil.h zlib.h zconf.h
infblock.o: infblock.h inftrees.h infcodes.h infutil.h zutil.h zlib.h zconf.h
infcodes.o: zutil.h zlib.h zconf.h
infcodes.o: inftrees.h infblock.h infcodes.h infutil.h inffast.h
inffast.o: zutil.h zlib.h zconf.h inftrees.h
inffast.o: infblock.h infcodes.h infutil.h inffast.h
inflate.o: zutil.h zlib.h zconf.h infblock.h
inftrees.o: zutil.h zlib.h zconf.h inftrees.h
infutil.o: zutil.h zlib.h zconf.h infblock.h inftrees.h infcodes.h infutil.h
minigzip.o:  zlib.h zconf.h 
trees.o: deflate.h zutil.h zlib.h zconf.h 
uncompr.o: zlib.h zconf.h
zutil.o: zutil.h zlib.h zconf.h

## dictd 1.10.2-3.maemo1

=== debian/changelog ===
dictd (1.10.2-3.maemo1) unstable; urgency=low
    
    * Adapting for maemo
    * Remove from Depends adduser,recode
    * Remove from Buld-Depends libltdl3-dev,flex
    * Comment adduser and usermod in debian/preinst script
    * Added shell environment PATH to PATH in script start/stop of dictd
    * Comment dictdconfig in debian/preinst script
    * Remove dictdconfig from packet
    * String: include /var/lib/dictd/db.list has been removed in dictd.conf
    * Dummy database has been added in dictd.conf
    * dicfmt packet has been removed
    * man_popen.dict has been removed from Makefile.in
    * Icon has been added in deb packet

 -- Vlad Vasiliev <vlad@gas.by>  Fri, 6 Jul 2007 03:35:00 +0200

dictd (1.10.2-3.1) unstable; urgency=low

  * Non-Maintainer Upload.
  * debian/control:
    + Bumped Standards-Version to 3.7.2 (no changes).
  * debian/rules:
    + Remove libmaa/config.{guess,sub} in clean target.
    + Remove libmaa/arggram2c in clean target (autogenerated).
    + Add debian/substvars to FILES_TO_CLEAN.
    + Fix the way symlinks were created.
  * debian/copyright:
    + Update FSF address.
  * debian/changelog:
    + Removed bogus changelog entry for version 1.9.9-4.
  * debian/preinst:
    + Fix &> bashism.
  * debian/postrm:
    + Fix &> bashism.
  * debian/dict.conf:
    + Added alternative dict servers to the configuration file, as dict.org
      seems to be down, making the package unusable (closes: #405863).
  * debian/preinst-dict, debian/postinst-dict, debian/postrm-dict:
    + Applied patch from Justin Pryzby, fixing various errors in the maintainer
      scripts (closes: #372144).

 -- Julien BLACHE <jblache@debian.org>  Fri, 12 Jan 2007 14:23:45 +0100

dictd (1.10.2-3) unstable; urgency=low

  * Changed umask to 022 to avoid "other writable" pid files.

 -- Kirk Hilliard <kirk@debian.org>  Fri,  9 Dec 2005 03:33:25 -0500

dictd (1.10.2-2) unstable; urgency=low

  * Include libmaa/ when linking config.{guess,sub} to local (up-to-date)
    versions.  Thanks, Petr.  (closes: #342406)

 -- Kirk Hilliard <kirk@debian.org>  Wed,  7 Dec 2005 17:38:26 -0500

dictd (1.10.2-1) unstable; urgency=low

  * New upstream release.  (closes: #339792)
    See /usr/share/doc/dictd/NEWS for a summary of changes in this version.
    Most significantly, dictd now uses internal implementations of
    UCS-2/UTF-8 functions.  Thus, dictd no longer need to specify a utf-8
    locale with the --locale option in order to use dictionaries encoded
    in utf-8.  (closes: #232227, #314325, #292068, #297616)
    Upstream release also fixes a typo for the dict(1) man page.
    (closes: #310349, #336049)
  * Fixed typo in package description.  (closes: #311138)
  * Pached libmaa/log.c to prevent logging buffer overflow.
  * The pid file is back, so changed /etc/init.d/dictd accordingly.
    Note that dictd still drops root privileges in favor of dictd.dictd
    immediately after writing the pid file.

 -- Kirk Hilliard <kirk@debian.org>  Sun,  4 Dec 2005 20:34:50 -0500

dictd (1.9.15-1) unstable; urgency=low

  * New upstream version.
  * Patched dictl so that the argument may conatain an apostrophe.
    Closes: #263819
  * Removed unused colorit script and man page.  Closes: #263012

 -- Kirk Hilliard <kirk@debian.org>  Thu, 13 Jan 2005 14:06:59 -0500

dictd (1.9.14-2) unstable; urgency=low

  * Changed home diretory of system user dictd to /var/lib/dictd.
    Closes: #253130
  * Stop dictd --inetd from logging to stderr.  Closes: #257886

 -- Kirk Hilliard <kirk@debian.org>  Sat, 31 Jul 2004 04:32:57 -0400

dictd (1.9.14-1) unstable; urgency=low

  * New upstream version.

 -- Kirk Hilliard <kirk@debian.org>  Sun, 13 Jun 2004 18:56:00 -0400

dictd (1.9.13-1) unstable; urgency=low

  * New upstream version.
  * New maintainer.
  * Patched dict to use /usr/bin/pager as default pager.  Closes: #246981
  * Added dictd | dict-server "suggests" for dict.  Closes: #240418
  * Improved error message which had suggested -v option even when -v is
    used.  Closes: #240274

 -- Kirk Hilliard <kirk@debian.org>  Tue,  8 Jun 2004 07:25:59 -0400

dictd (1.9.12-3) unstable; urgency=low

  * Provided NEWS.Debian.gz in each binary package, not just in dictd.
   Closes: #238612

 -- Robert D. Hilliard <hilliard@debian.org>  Fri, 19 Mar 2004 14:04:33 -0500

dictd (1.9.12-2) unstable; urgency=low

  * Patched dict.1 to reflect the Debian location of dict.conf (this was
    overlooked in 1.9.12-1).

  *  Updated NEWS.Debian.gz

 -- Robert D. Hilliard <hilliard@debian.org>  Wed, 17 Mar 2004 10:08:02 -0500

dictd (1.9.12-1) unstable; urgency=low

  * New upstream version.  See /usr/share/doc/dictd/NEWS for a summary of
    major changes in this version.

  * Wrong DICTL_CHARSET evaluation has ben corrected in dictl, based on a
    patch submitted by Roland Rosenfeld <roland@spinnaker.de>. Thanks
    Roland.  Closes: #231545

  * Updated /usr/share/doc/dictd/README.Debian.gz to reflect the
    conversion of the mueller7-dict and muller7accent-dict to utf-8
    encoding, and to mention the broken status of the dict-freedict*
    packages.

 -- Robert D. Hilliard <hilliard@debian.org>  Mon, 15 Mar 2004 16:22:07 -0500

dictd (1.9.11-5) unstable; urgency=low

  * Upstream didn't accept the modification to dictl in 1.9.11-2, so I have replaced dictl with dictl from CVS. Closes: #231401 (really this time).

  # Added Depends: recode to dict, needed to make dictl work.

 -- Robert D. Hilliard <hilliard@debian.org>  Sat, 07 Feb 2004 18:43:45 -0500

dictd (1.9.11-4) unstable; urgency=low

  * Kirk Hilliard <kirk@debian.org> has patched dictfmt.c to improve
    handling of multipole headwords (added the --break-headwordsoption),
    and modified dictfmt.1 accordingly.  Thanks, Kirk!

  * Updated /usr/share/doc/dictd/README.Debian.gz to reflect the
    conversion of dict-de-en to utf-8 encoding.

 -- Robert D. Hilliard <hilliard@debian.org>  Wed, 04 Feb 2004 16:35:46 -0500

dictd (1.9.11-3) unstable; urgency=low



=== debian/control ===
Source: dictd
Section: user/Commandline
Priority: optional
Maintainer: Vlad Vasiliev <vlad@gas.by>
Build-Depends: bison, zlib1g-dev, autotools-dev
Standards-Version: 3.7.2

Package: dictd 
Section: user/Commandline
Priority: optional
Architecture: any 
Description: Dictionary Server 
 dictd is a TCP based server that allows a client to access dictionary
 definitions from a set of natural language dictionary databases.  
 .
 Many dictionary databases have been packaged for debian.  They are
 discussed in more detail in the file
 /usr/share/doc/dictd/README.Debian.gz
 .
 Either dict-gcide or dict-wn is essential for a useful English
 language dictionary server.  It is strongly recommended that both be
 installed.  If you are interested in computer terminology, it is
 recommended that one or more of dict-jargon, dict-foldoc, and
 dict-vera also be installed.
 .
 The client program, dict, is packaged in dict*.deb  If you are 
 running a server, you will want the client for all machines in your 
 network, and for testing server operations.
Depends: ${shlibs:Depends}, netbase, dictzip
Recommends: dict | dict-client 
Suggests: dict-gcide | dict-web1913, dict-wn, dict-jargon, dict-foldoc
Provides: dict-server
Conflicts: dict-server
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABgAAAAYCAYAAADgdz34AAAABmJLR0QA/wD/AP+gvaeTAAAACXBI
 WXMAAAsTAAALEwEAmpwYAAAAB3RJTUUH1wcRDgcrcAkoUAAAAB10RVh0Q29tbWVudABDcmVhdGVk
 IHdpdGggVGhlIEdJTVDvZCVuAAACXklEQVRIx7WVP2gTURzHP7mk1dJicofUUjIkuOigpiAqgqOp
 i4N06NItgXbQIWD/OQWngEOdpCDEtViJCBk0QoVUsBgtDm1TFaRwXErbGM80vTMx8blc9Qzt0Hj9
 wheO73Hvc7/34H0BHgGvAGHzL5sbluuWq0AJWAZmgZv5fP6t2Edu4DbQDRznr1xNz659cgk4qijK
 SdM0dzweT1GWZYUmrQPfmiY4qA1gfmho6Nnq6mrJPoErFArNVqtVf7lcvqRp2h+qz+fD5/OxlwzD
 MDc3N3XgCNAJtFnTbPT19X3OZDLnZFnudLvdErukpaWlf/4qHo/vt61ia2vrBXARuAW8Br7bvi0B
 D1VVLQkhhEQLUhTlimmaT3VdjxcKhfPRaPQd8MF67QUGBwYGplRVfd/SBM3SNO3r2NjYogXZXWMh
 k8lseHBAvb29ysjIiEuSpEoikSgDx4CzyWQyK+GQgsGg3N/f7wIWrKhjZmam6hgAwO/3q8BzW3Ta
 UUBPT487Fou126ITjgK6urouRCKRhC3qdBSwh9yHDeCwAT8dBWxvb6+k0+kHtqjsKEDTtJ2JiQnN
 FhUcAxiG8TGbza4DV23xsiOASqWylkql5oaHh9eAy7s7Fg6HKy3dRUIIs16vl2q1Wptpmh3JZPLJ
 +Ph4N3ADaLeq9s3k5OQ1T4uHOef1emPAKeA6MAj4rRptADpwLxQKxf6n0UpWk3VY9gA/gBXgTrFY
 vKsoyhmnOlkAXwKBwOPp6ekpXddzjUbDEEIIgHkgf4CFGoAJFIFPwEvg/ujoaCqXy63UarVFexn9
 Bvb+r3/+fXneAAAAAElFTkSuQmCC

Package: dict
Section: user/Commandline
Priority: optional
Architecture: any
Description: Dictionary Client
 dict is the client that queries the dictd server.  Since it is TCP 
 based, it can access servers on the local host, on a local network, 
 or on the Internet.
 .
 The DICT Development Group maintains several public servers which can 
 be accessed from any machine connected to the Internet.  The default 
 configuration is to query one of these servers first, but this may be 
 changed in the configuration file /etc/dict.conf.
 .
 Queries may be customized by numerous command line options, including 
 specifying the database(s) to be queried and the search strategy to 
 be used.
 .
 dict includes dictl, which simplifies using utf-8 encoded dictionaries
 with terminals that do not support utf-8.   
Depends: ${shlibs:Depends}, netbase
Suggests: dictd | dict-server
Provides: dict-client
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABgAAAAYCAYAAADgdz34AAAABmJLR0QA/wD/AP+gvaeTAAAACXBI
 WXMAAAsTAAALEwEAmpwYAAAAB3RJTUUH1wcRDgcrcAkoUAAAAB10RVh0Q29tbWVudABDcmVhdGVk
 IHdpdGggVGhlIEdJTVDvZCVuAAACXklEQVRIx7WVP2gTURzHP7mk1dJicofUUjIkuOigpiAqgqOp
 i4N06NItgXbQIWD/OQWngEOdpCDEtViJCBk0QoVUsBgtDm1TFaRwXErbGM80vTMx8blc9Qzt0Hj9
 wheO73Hvc7/34H0BHgGvAGHzL5sbluuWq0AJWAZmgZv5fP6t2Edu4DbQDRznr1xNz659cgk4qijK
 SdM0dzweT1GWZYUmrQPfmiY4qA1gfmho6Nnq6mrJPoErFArNVqtVf7lcvqRp2h+qz+fD5/OxlwzD
 MDc3N3XgCNAJtFnTbPT19X3OZDLnZFnudLvdErukpaWlf/4qHo/vt61ia2vrBXARuAW8Br7bvi0B
 D1VVLQkhhEQLUhTlimmaT3VdjxcKhfPRaPQd8MF67QUGBwYGplRVfd/SBM3SNO3r2NjYogXZXWMh
 k8lseHBAvb29ysjIiEuSpEoikSgDx4CzyWQyK+GQgsGg3N/f7wIWrKhjZmam6hgAwO/3q8BzW3Ta
 UUBPT487Fou126ITjgK6urouRCKRhC3qdBSwh9yHDeCwAT8dBWxvb6+k0+kHtqjsKEDTtJ2JiQnN
 FhUcAxiG8TGbza4DV23xsiOASqWylkql5oaHh9eAy7s7Fg6HKy3dRUIIs16vl2q1Wptpmh3JZPLJ
 +Ph4N3ADaLeq9s3k5OQ1T4uHOef1emPAKeA6MAj4rRptADpwLxQKxf6n0UpWk3VY9gA/gBXgTrFY
 vKsoyhmnOlkAXwKBwOPp6ekpXddzjUbDEEIIgHkgf4CFGoAJFIFPwEvg/ujoaCqXy63UarVFexn9
 Bvb+r3/+fXneAAAAAElFTkSuQmCC

Package: dictzip
Section: user/Commandline
Priority: optional
Architecture: any
Description: Compression utility for dictionary databases
 dictzip compresses files using the gzip(1) algorithm (LZ77) in a
 manner which is completely compatible with the gzip file format.  An
 extension to the gzip file format allows for random access to chunks 
 of about 57kb without the overhead of decompressing the entire file. 
 This package also includes dictunzip to decompress dictzipped files
 and dictzcat for viewing dictzipped files.
Depends: ${shlibs:Depends}
Replaces: dictd (<< 1.7.1-1)
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABgAAAAYCAYAAADgdz34AAAABmJLR0QA/wD/AP+gvaeTAAAACXBI
 WXMAAAsTAAALEwEAmpwYAAAAB3RJTUUH1wcRDgcrcAkoUAAAAB10RVh0Q29tbWVudABDcmVhdGVk
 IHdpdGggVGhlIEdJTVDvZCVuAAACXklEQVRIx7WVP2gTURzHP7mk1dJicofUUjIkuOigpiAqgqOp
 i4N06NItgXbQIWD/OQWngEOdpCDEtViJCBk0QoVUsBgtDm1TFaRwXErbGM80vTMx8blc9Qzt0Hj9
 wheO73Hvc7/34H0BHgGvAGHzL5sbluuWq0AJWAZmgZv5fP6t2Edu4DbQDRznr1xNz659cgk4qijK
 SdM0dzweT1GWZYUmrQPfmiY4qA1gfmho6Nnq6mrJPoErFArNVqtVf7lcvqRp2h+qz+fD5/OxlwzD
 MDc3N3XgCNAJtFnTbPT19X3OZDLnZFnudLvdErukpaWlf/4qHo/vt61ia2vrBXARuAW8Br7bvi0B
 D1VVLQkhhEQLUhTlimmaT3VdjxcKhfPRaPQd8MF67QUGBwYGplRVfd/SBM3SNO3r2NjYogXZXWMh
 k8lseHBAvb29ysjIiEuSpEoikSgDx4CzyWQyK+GQgsGg3N/f7wIWrKhjZmam6hgAwO/3q8BzW3Ta
 UUBPT487Fou126ITjgK6urouRCKRhC3qdBSwh9yHDeCwAT8dBWxvb6+k0+kHtqjsKEDTtJ2JiQnN
 FhUcAxiG8TGbza4DV23xsiOASqWylkql5oaHh9eAy7s7Fg6HKy3dRUIIs16vl2q1Wptpmh3JZPLJ
 +Ph4N3ADaLeq9s3k5OQ1T4uHOef1emPAKeA6MAj4rRptADpwLxQKxf6n0UpWk3VY9gA/gBXgTrFY
 vKsoyhmnOlkAXwKBwOPp6ekpXddzjUbDEEIIgHkgf4CFGoAJFIFPwEvg/ujoaCqXy63UarVFexn9
 Bvb+r3/+fXneAAAAAElFTkSuQmCC

=== debian/rules ===
#! /usr/bin/make -f

############################ -*- Mode: Makefile -*- ###########################
## rules ---
## Author           : Robert D. Hilliard <hilliard@debian.org>
## Created On       : Tue,  7 Apr 1998 20:30:10 -0400
## Last Modified By : Kirk D. Hilliard <kirk@debian.org>
## Last Modified On : Wed Dec  7 17:27:51 EST 2005
## Last Changes     : Revision 1.50  2005/12/07 17:27:51  kirk
## Last Changes     : Link libmaa/config.{guess,sub} to local version
## Last Changes     :
## Last Changes     : Revision 1.49  2005/12/03 17:23:43  kirk
## Last Changes     : Removed README.Dictd-locales
## Last Changes     :
## Last Changes     : Revision 1.48  2004/03/19 19:21:26  bob
## Last Changes     : fixed install directories for NEWS.Debian
## Last Changes     :
## Last Changes     : Revision 1.47  2004/03/19 19:09:55  bob
## Last Changes     : added News.Debian.gz to dict, dictfmt, and dictzip
## Last Changes     :
## Last Changes     : Revision 1.46  2004/03/15 22:19:06  bob
## Last Changes     : Removed -v option to dpkg-gencontrol for dictfmt
## Last Changes     :
## Last Changes     : Revision 1.45  2003/12/08 21:24:09  bob
## Last Changes     : Added News.Debian and README.Dictd-locales
## Description      : debian/rules for dictd
## Acknowledgment   : This debian/rules file is based on Manoj Srivasta's
##                  : <srivasta@debian.org> sample debian/rules files.
##                  : Any errors belong to me alone.
###############################################################################

# The name of the package (for example, `emacs').
pkg     := dictd
pkg_2 	:= dict
pkg_3   := dictzip

# Configuration variables (these should be pretty generic)
CC = cc
CFLAGS=  -O2
# LDFLAGS = -s
PREFIX = /usr
BINDIR = $(PREFIX)/bin
MANDIR = $(PREFIX)/share/man
MAN1DIR = $(MANDIR)/man1
DOCDIR = $(PREFIX)/share/doc/$(pkg)

#  Package specific stuff.  The idea is to try to make the rules
#  generic (gradually).

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  confflags += --build $(DEB_HOST_GNU_TYPE)
else
  confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

FILES_TO_CLEAN  = debian/files debian/substvars debian/*~
DIRS_TO_CLEAN   = debian/tmp debian/tmp_2 debian/tmp_3 debian/tmp_4
STAMPS_TO_CLEAN = stamp-*

install_file= install -p -o root -g root -m 644
install_binary= install -p -o root -g root -m 755
install_script= install -p -o root -g root -m 755
make_directory= install -d -o root -g root -m 755

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
install_binary += -s
endif

all build: stamp-build
# Builds the binary package.

autotools:
	-rm -f config.sub config.guess libmaa/config.guess libmaa/config.sub
	ln -s /usr/share/misc/config.sub config.sub
	ln -s /usr/share/misc/config.guess config.guess
	ln -s /usr/share/misc/config.sub libmaa/config.sub
	ln -s /usr/share/misc/config.guess libmaa/config.guess

configure: stamp-configure

stamp-configure: autotools
	./configure  --verbose --prefix=$(PREFIX) --libexecdir=/usr/lib/dictd --datadir=/usr/share/dictd --sysconfdir=/etc/dictd && touch stamp-configure

stamp-build:
# Builds the binary package.
	$(checkdir)
	-test -f stamp-configure || $(MAKE) -f debian/rules configure
	$(MAKE) CC="$(CC)" LDFLAGS="$(LDFLAGS)"

	$(MAKE) CFLAGS+='-fPIC -D_REENTRANT' samples

## Upstream Makefile uses different values for CFLAGS for differnt
## compile statements.  It seems simpler to leave CFLAGS up to the
## Makefile.

	touch stamp-build

clean:
# Undoes the effect of `$(MAKE) -f debian/rules build'.
	$(checkdir)
	-test -f Makefile && $(MAKE) recursive-clean
	-test -f Makefile && $(MAKE) distclean
	-rm -f  $(FILES_TO_CLEAN) $(STAMPS_TO_CLEAN)
	-rm -rf $(DIRS_TO_CLEAN)
	-rm -f core `find . \( -name '*.orig' -o -name '*.rej' -o -name '*~' \
		-o -name '*.bak' -o -name '#*#' -o -name '.*.orig' \
		-o -name '.*.rej' -o -name '.SUMS' -o -size 0 \) -print` TAGS
	rm -f config.sub config.guess
	rm -f libmaa/config.sub libmaa/config.guess
	rm -f libmaa/arggram2c

binary: binary-indep binary-arch

binary-indep: build


binary-arch: build stamp-dictd stamp-dict stamp-dictzip

stamp-dictd:
# Makes a binary package.
	@test root = "`whoami`" || (echo need root priviledges; exit 1)
	$(checkdir)
	test -f stamp-build  || $(MAKE) -f debian/rules build
	rm -rf               debian/tmp debian/tmp_2 debian/tmp_3 debian/tmp_4
	$(make_directory)    debian/tmp
	$(make_directory)    debian/tmp/DEBIAN
	$(make_directory)    debian/tmp/usr
	$(make_directory)    debian/tmp/usr/bin
	$(make_directory)    debian/tmp/usr/sbin
	$(make_directory)    debian/tmp/etc
	$(make_directory)    debian/tmp/etc/dictd
	$(make_directory)    debian/tmp/etc/default
	$(make_directory)    debian/tmp/etc/init.d
	$(make_directory)    debian/tmp/usr/share/man/man8
	$(make_directory)    debian/tmp/usr/share/doc
	$(make_directory)    debian/tmp/usr/share/doc/$(pkg)
	$(make_directory)    debian/tmp/usr/share/doc/$(pkg)/examples
	$(make_directory)    debian/tmp/var
	$(make_directory)    debian/tmp/var/lib
	$(make_directory)    debian/tmp/var/lib/$(pkg)
	$(make_directory)    debian/tmp/usr/lib/$(pkg)
	$(install_binary)    dictd  debian/tmp/usr/sbin
	$(install_file)      debian/readme-plugins \
			      debian/tmp/usr/share/doc/$(pkg)/README.Plugins
	$(install_file)      NEWS \
			      debian/tmp/usr/share/doc/$(pkg)/NEWS
	$(install_file)      debian/changelog \
			      debian/tmp/usr/share/doc/$(pkg)/changelog.Debian
	$(install_file)      debian/readme-dictd \
			      debian/tmp/usr/share/doc/$(pkg)/README.Debian
	$(install_file)      debian/news \
			      debian/tmp/usr/share/doc/$(pkg)/NEWS.Debian
	$(install_file)      debian/readme-debugging \
			      debian/tmp/usr/share/doc/$(pkg)/README.Debugging
	$(install_file)      debian/readme-inetd \
			      debian/tmp/usr/share/doc/$(pkg)/README.inetd
	$(install_file)      debian/readme-index2suffix \
			      debian/tmp/usr/share/doc/$(pkg)/README.Index2suffix
	$(install_file)      debian/readme-index2word \
			      debian/tmp/usr/share/doc/$(pkg)/README.Index2word
	$(install_file)      debian/readme-virtual_dictionaries \
			      debian/tmp/usr/share/doc/$(pkg)/README.Virtual_dictionaries
	$(install_file)      debian/readme-dictunformat \
			      debian/tmp/usr/share/doc/$(pkg)/README.Unformat
	gzip -9frq           debian/tmp/usr/share/doc/$(pkg)/
	ln -sf NEWS.gz debian/tmp/usr/share/doc/$(pkg)/changelog.gz
	$(install_script)    debian/dictd debian/tmp/etc/init.d/dictd
#	$(install_script)    debian/dictdconfig debian/tmp/usr/sbin/dictdconfig
#	$(install_script)    debian/dictdconfig.alias debian/tmp/etc/dictd/dictdconfig.alias
	$(install_file)      debian/dictd.conf debian/tmp/etc/dictd/dictd.conf
	$(install_file)      debian/dictd.order debian/tmp/etc/dictd/dictd.order
	$(install_file)      debian/default debian/tmp/etc/default/dictd
# Make sure the copyright file is not compressed
	$(install_file)      debian/copyright \
	                     debian/tmp/usr/share/doc/$(pkg)/copyright
#	$(install_file)      debian/dictdconfig.8 debian/tmp/usr/share/man/man8/dictdconfig.8
	$(install_file)      dictd.8 debian/tmp/usr/share/man/man8/dictd.8
	gzip -9frq           debian/tmp/usr/share/man/man8/
	$(install_file)      example* debian/tmp/usr/share/doc/$(pkg)/examples/
	$(make_directory)    debian/tmp_2/usr/share/doc/$(pkg_2)/examples
	mv -f  debian/tmp/usr/share/doc/$(pkg)/examples/example.dictrc \
	 debian/tmp_2/usr/share/doc/$(pkg_2)/examples/example.dictrc
	$(install_file)      debian/example_virtual2.conf debian/tmp/usr/share/doc/$(pkg)/examples/
#	$(install_file) -s   dictdplugin_exit.so dictdplugin_popen.so debian/tmp/usr/lib/$(pkg)/
#	$(install_file)      man_popen.* search_man debian/tmp/usr/share/doc/$(pkg)/examples/
	$(install_script)    debian/preinst  debian/tmp/DEBIAN/preinst

## dictd 1.10.2-3.maemo2

=== debian/changelog ===
dictd (1.10.2-3.maemo2) unstable; urgency=low
    
    * Directory /usr/share/dictd has been added to dictd deb packet

 -- Vlad Vasiliev <vlad@gas.by>  Fri, 9 Nov 2007 15:35:00 +0200

=== debian/rules ===
--- 
+++ 
@@ -133,6 +133,7 @@
 	$(make_directory)    debian/tmp/etc/dictd
 	$(make_directory)    debian/tmp/etc/default
 	$(make_directory)    debian/tmp/etc/init.d
+	$(make_directory)    debian/tmp/usr/share/dictd
 	$(make_directory)    debian/tmp/usr/share/man/man8
 	$(make_directory)    debian/tmp/usr/share/doc
 	$(make_directory)    debian/tmp/usr/share/doc/$(pkg)
@@ -185,4 +186,3 @@
 	$(install_file)      debian/example_virtual2.conf debian/tmp/usr/share/doc/$(pkg)/examples/
 #	$(install_file) -s   dictdplugin_exit.so dictdplugin_popen.so debian/tmp/usr/lib/$(pkg)/
 #	$(install_file)      man_popen.* search_man debian/tmp/usr/share/doc/$(pkg)/examples/
-	$(install_script)    debian/preinst  debian/tmp/DEBIAN/preinst

## dictd 1.10.2-3.maemo3

=== debian/changelog ===
dictd (1.10.2-3.maemo3) unstable; urgency=low
    
    * Changed item Section from user/Commandline to user/tools for compatablity with Maemo packaging policy

 -- Vlad Vasiliev <vlad@gas.by>  Fri, 9 Nov 2007 15:35:00 +0200

## dictd 1.10.2-3.maemo4

=== debian/changelog ===
dictd (1.10.2-3.maemo4) unstable; urgency=low

  * Rebuild for fremantle.

 -- Marius Gedminas <marius@gedmin.as>  Tue, 22 Dec 2009 15:29:57 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: dictd
-Section: user/Commandline
+Section: user/tools
 Priority: optional
 Maintainer: Vlad Vasiliev <vlad@gas.by>
 Build-Depends: bison, zlib1g-dev, autotools-dev
 Standards-Version: 3.7.2
 
 Package: dictd 
-Section: user/Commandline
+Section: user/tools
 Priority: optional
 Architecture: any 
 Description: Dictionary Server 
@@ -48,7 +48,7 @@
  Bvb+r3/+fXneAAAAAElFTkSuQmCC
 
 Package: dict
-Section: user/Commandline
+Section: user/tools
 Priority: optional
 Architecture: any
 Description: Dictionary Client
@@ -87,7 +87,7 @@
  Bvb+r3/+fXneAAAAAElFTkSuQmCC
 
 Package: dictzip
-Section: user/Commandline
+Section: user/tools
 Priority: optional
 Architecture: any
 Description: Compression utility for dictionary databases

## dictd 1.10.2-3.maemo5

=== debian/changelog ===
dictd (1.10.2-3.maemo5) unstable; urgency=low

  * "user/tools" is not a valid section name in Mameo, change to
    "user/utilities"/

 -- Marius Gedminas <marius@gedmin.as>  Tue, 22 Dec 2009 15:43:37 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: dictd
-Section: user/tools
+Section: user/utilities
 Priority: optional
 Maintainer: Vlad Vasiliev <vlad@gas.by>
 Build-Depends: bison, zlib1g-dev, autotools-dev
 Standards-Version: 3.7.2
 
 Package: dictd 
-Section: user/tools
+Section: user/utilities
 Priority: optional
 Architecture: any 
 Description: Dictionary Server

## dictd 1.12.0+dfsg

=== debian/changelog ===
dictd (1.12.0+dfsg-5) unstable; urgency=low

  * 14-dictd.8-typos.patch: Fix typos in dictd(8) man page (closes: #657197).
  * debian/control:
    + Standards-Version: 3.9.3.
    + Update VCS fields.
  * debian/dictd.init: add lsb Description field.

 -- Robert Luberda <robert@debian.org>  Sun, 20 May 2012 21:45:45 +0200

dictd (1.12.0+dfsg-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Dutch; (Jeroen Schot).  Closes: #652021
    - Indonesian (Mahyuddin Susanto).  Closes: #661144

 -- Christian Perrier <bubulle@debian.org>  Fri, 09 Mar 2012 07:58:17 +0100

dictd (1.12.0+dfsg-4) unstable; urgency=low

  * Rebuild with the latest libmaa.
  * Add Danish translation of debconf templates (closes: #624662).
  * debian/control:
    + Standards-Version: 3.9.2 (no changes);
    + reformat dependency fields with wrap-and-sort command;
    + bump dependency on libmaa-dev to >= 1.3.0;
    + add VCS fields.
  * debian/rules: switch to using debhelper's tiny rules format.
  * debian/copyright: change format to DEP-5.
  * Prefix patch names with a sequential numbers and refresh patches with
    gbp-pq import/export.
  * New patches:
    + 12-spelling-typos2: fix more spelling typos found by lintian;
    + 13-dictd_virtual-example: fix wrong keyword in dictd_virtual.conf
      example (closes: #622637).

 -- Robert Luberda <robert@debian.org>  Sat, 07 May 2011 07:20:48 +0200

dictd (1.12.0+dfsg-3) unstable; urgency=low

  * Upload to unstable.
  * debian/rules:
    + support build-arch and build-indep targets;
    + make use of dpkg-buildflags, dh_auto_*, dh_autotools_dev* commands;
    + pass -D_FILE_OFFSET_BITS=64 to CPPFLAGS.
  * Join Makefile-debcflags.patch, Makefile-clean.patch into Makefile.patch.
  * Makefile.patch: don't filter `-O' out from CFLAGS any more.
  * dict_lookup.patch: minor fix.

 -- Robert Luberda <robert@debian.org>  Sun, 13 Feb 2011 15:16:46 +0100

dictd (1.12.0+dfsg-2) experimental; urgency=low

  * Merge changes from version 1.11.2+dfsg-4.
  * Install the new dict_lookup binary into dict package.
  * Add dict_lookup.patch:
    + check for existance of xterm & xclip commands;
    + select first available utf-8 locale or fail if there isn't any;
    + use colorit with its default configuration.

 -- Robert Luberda <robert@debian.org>  Wed, 02 Feb 2011 20:20:07 +0100

dictd (1.12.0+dfsg-1) experimental; urgency=low

  * New upstream release.
  * Add Brazilian Portuguese debconf templates translation (closes: #610408).
  * Bump debhelper to v8.
  * Switch to the 3.0 (quilt) source format. Drop build dependency on quilt
    together with the debian/README.source file.

 -- Robert Luberda <robert@debian.org>  Sun, 23 Jan 2011 10:40:33 +0100

dictd (1.11.2+dfsg-4) unstable; urgency=medium

  * md5-64bit.patch: fix invalid definition on uint32 type on 64-bit systems
    (except for alpha), which caused failures when 64-bit dict client tried
    to authenticate a user against 32-bit dictd server (closes: #611203).
  * Add Brazilian Portuguese debconf templates translation (closes: #610408).

 -- Robert Luberda <robert@debian.org>  Fri, 28 Jan 2011 23:53:32 +0100

dictd (1.11.2+dfsg-3) unstable; urgency=low


  * Pass AWK=awk to configure (closes: #608701).
  * Remove dependency on gawk from the dictfmt package, it's no longer needed.
  * Standards-Version: 3.9.1 (no changes).
  * Add spelling-typos.patch to fix some typos found by lintian.

 -- Robert Luberda <robert@debian.org>  Tue, 04 Jan 2011 23:25:57 +0100

dictd (1.11.2+dfsg-2) unstable; urgency=low

  * Rebuild with the latest libmaa-dev.
  * Update Finnish translation of the debconf template (closes: #564510).
  * dictd.init: Properly initialise the $DEFAULTSFILE variable.
  * debian/NEWS: remove asterisks (lintian).
  * debian/rules: support DEB_BUILD_OPTIONS=nocheck.

 -- Robert Luberda <robert@debian.org>  Sun, 10 Jan 2010 11:03:00 +0100

dictd (1.11.2+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Replace build dependencies on libltdl3-dev with libltdl-dev.
  * Run `make test' during build.
  * Add lintian override for `init.d-script-possible-missing-stop'.

 -- Robert Luberda <robert@debian.org>  Sun, 18 Oct 2009 14:53:05 +0200

dictd (1.11.1+dfsg-3) unstable; urgency=low

  * debian/init.d:
    + add status support (closes: #538666);
    + made force-reload same as reload (closes: #538663).
  * [Debconf translation updates]
    - Czech (closes: #533035)
    - Finnish (closes: #533596)
    - Slovak (closes: #534442).
  * Add debian/README.source.
  * Standards-Version: 3.8.3 (no changes).

 -- Robert Luberda <robert@debian.org>  Sun, 30 Aug 2009 14:25:13 +0200

dictd (1.11.1+dfsg-2) unstable; urgency=low

  [ Christian Perrier ]
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #522251
  * [Debconf translation updates]
    - Japanese. Closes: #522782
    - Portuguese. Closes: #523189
    - Italian. Closes: #523418
    - Swedish. Closes: #523697
    - Galician. Closes: #524244
    - Spanish. Closes: #524343
    - German. Closes: #524399
    - French. Closes: #524867
    - Russian. Closes: #524891

  [ Robert Luberda ]
  * Applied the above patch from Christian.
  * Standards-Version: 3.8.1 (no changes).
  * Fix too long lines in extended descriptions (lintian).
  * Update Polish debconf translations.

 -- Robert Luberda <robert@debian.org>  Sat, 02 May 2009 08:56:20 +0200

dictd (1.11.1+dfsg-1) unstable; urgency=low

  * New upstream release:
    + remove patches applied by upstream: dictd.8-man and dictfmt-sort-base64;
    + refresh other patches.
  * s/\.dfsg/+dfsg/ in upstream versions naming scheme (lintian).
  * Upload to unstable, since libmaa got finally accepted (closes: #512071).
  * Makefile-clean.patch: remove auto-generated example file.
  * dictd-close-fds.patch: close all file descriptors on dictd start not to
    hang dpkg-reconfigure.


=== debian/control ===
Source: dictd
Section: text
Priority: optional
Maintainer: Robert Luberda <robert@debian.org>
Build-Depends: autotools-dev,
               bison,
               debhelper (>= 8),
               flex,
               libltdl-dev,
               libmaa-dev (>= 1.3.0),
               libtool,
               zlib1g-dev
Standards-Version: 3.9.3
Vcs-Git: git://anonscm.debian.org/users/robert/dictd.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/robert/dictd.git;a=summary
Homepage: http://sourceforge.net/projects/dict/

Package: dictd
Architecture: any
Description: dictionary server
 This package provides a TCP-based server that allows a client to access
 dictionary definitions from a set of natural language dictionary databases.
 .
 Many dictionary databases have been packaged for use with dictd. They are
 described in the /usr/share/doc/dictd/README.Debian.gz file.
 .
 Either dict-gcide or dict-wn is essential for a useful English
 language dictionary server.  It is strongly recommended that both be
 installed.  If you are interested in computer terminology, it is
 recommended to install at least dict-jargon, dict-foldoc, or
 dict-vera.
 .
 The client program, dict, is packaged separately and is needed on all
 machines that will use the server.
Depends: adduser,
         dictzip (>= ${source:Upstream-Version}),
         lsb-base (>= 3.2-13),
         netbase,
         ucf (>= 3),
         update-inetd,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: dict | dict-client
Suggests: dict-foldoc, dict-gcide | dictd-dictionary, dict-jargon, dict-wn
Provides: dict-server
Conflicts: dict-server

Package: dict
Architecture: any
Description: dictionary client
 This package provides a client application to query a dictd server.
 The client-server protocol is TCP-based; the server may then be local or
 accessed through the network.
 .
 The DICT Development Group maintains several public servers which can
 be accessed from any machine connected to the Internet.  The default
 configuration is to query one of these servers first. This may be
 changed in the configuration file /etc/dictd/dict.conf.
 .
 Queries may be customized by numerous command line options, including
 specifying the database(s) to be queried and the search strategy to
 be used.
 .
 This package also provides dictl, which allows using UTF-8 encoded dictionaries
 with terminals that do not support UTF-8.
Depends: netbase, recode, ${misc:Depends}, ${shlibs:Depends}
Recommends: gawk, m4
Suggests: dictd | dict-server
Provides: dict-client

Package: dictzip
Architecture: any
Description: compression utility for dictionary databases
 This package provides a utility to compress dictionary databases with the
 LZ77 algorithm in a manner which is completely compatible with gzip(1),
 but using an extension that allows for random access to chunks
 of about 57kB without the overhead of decompressing the entire file.
 .
 This package also includes dictunzip, to decompress dictzipped files,
 and dictzcat, for viewing dictzipped files.
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: dictd (<< 1.7.1-1)

Package: dictfmt
Section: utils
Architecture: any
Description: utility to format a file for use by a dictd server
 This package provides dictfmt. This utility can convert an input file
 to a dictionary database that conforms to the DICT protocol, and create
 a corresponding index file.
 .
 The package also provides dictunformat, which creates a raw database
 from a dictionary index and a dictionary database.
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: dictzip

## dictd 1.12.1%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,17 @@
 Section: text
 Priority: optional
 Maintainer: Robert Luberda <robert@debian.org>
-Build-Depends: autotools-dev,
-               bison,
-               debhelper (>= 8),
+Build-Depends: bison,
+               debhelper (>= 11),
                flex,
                libltdl-dev,
-               libmaa-dev (>= 1.3.0),
-               libtool,
+               libmaa-dev (>= 1.4.2),
+               libtool-bin,
                zlib1g-dev
-Standards-Version: 3.9.3
-Vcs-Git: git://anonscm.debian.org/users/robert/dictd.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/robert/dictd.git;a=summary
-Homepage: http://sourceforge.net/projects/dict/
+Standards-Version: 4.2.0
+Vcs-Git: https://salsa.debian.org/debian/dictd.git
+Vcs-Browser: https://salsa.debian.org/debian/dictd
+Homepage: https://sourceforge.net/projects/dict/
 
 Package: dictd
 Architecture: any
@@ -64,8 +63,7 @@
  This package also provides dictl, which allows using UTF-8 encoded dictionaries
  with terminals that do not support UTF-8.
 Depends: netbase, recode, ${misc:Depends}, ${shlibs:Depends}
-Recommends: gawk, m4
-Suggests: dictd | dict-server
+Suggests: dictd | dict-server, gawk, m4
 Provides: dict-client
 
 Package: dictzip

## dictd 1.12.1+dfsg

=== debian/changelog ===
dictd (1.12.1+dfsg-2) unstable; urgency=low

  * Upload to unstable.

 -- Robert Luberda <robert@debian.org>  Thu, 09 May 2013 22:54:04 +0200

dictd (1.12.1+dfsg-1) experimental; urgency=low

  * New upstream version:
    + fixed "dictl: incorrect handling of apostrophe" (closes: #677868).
  * Remove 13-dictd_virtual-example.patch and 14-dictd.8-typos.patch
    as they were applied by upstream.
  * Merge 12-spelling-typos2.patch into 9-spelling-typos.patch.
  * Switch to using debhelper v9..

 -- Robert Luberda <robert@debian.org>  Thu, 28 Mar 2013 22:18:27 +0100

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,18 @@
 Section: text
 Priority: optional
 Maintainer: Robert Luberda <robert@debian.org>
-Build-Depends: bison,
-               debhelper (>= 11),
+Build-Depends: autotools-dev,
+               bison,
+               debhelper (>= 9),
                flex,
                libltdl-dev,
-               libmaa-dev (>= 1.4.2),
-               libtool-bin,
+               libmaa-dev (>= 1.3.0),
+               libtool,
                zlib1g-dev
-Standards-Version: 4.2.0
-Vcs-Git: https://salsa.debian.org/debian/dictd.git
-Vcs-Browser: https://salsa.debian.org/debian/dictd
-Homepage: https://sourceforge.net/projects/dict/
+Standards-Version: 3.9.3
+Vcs-Git: git://anonscm.debian.org/users/robert/dictd.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/robert/dictd.git;a=summary
+Homepage: http://sourceforge.net/projects/dict/
 
 Package: dictd
 Architecture: any
@@ -63,7 +64,8 @@
  This package also provides dictl, which allows using UTF-8 encoded dictionaries
  with terminals that do not support UTF-8.
 Depends: netbase, recode, ${misc:Depends}, ${shlibs:Depends}
-Suggests: dictd | dict-server, gawk, m4
+Recommends: gawk, m4
+Suggests: dictd | dict-server
 Provides: dict-client
 
 Package: dictzip

=== debian/rules ===
#!/usr/bin/make -f

export BDIR             := BUILD
export LDFLAGS          := $(shell dpkg-buildflags --get LDFLAGS)  -Wl,--as-needed -Wl,-z,defs 
export CFLAGS           := $(shell dpkg-buildflags --get CFLAGS)   -Wall
export CPPFLAGS         := $(shell dpkg-buildflags --get CPPFLAGS) -D_FILE_OFFSET_BITS=64
export DESTDIR          := debian/tmp
DH_AUTO_OPTIONS         := -v -Sautoconf -B$(BDIR) --parallel
MAKEARGS                := JUDYLIB= DBILIB=

%: force
	dh "$@"


override_dh_auto_build:     $(BDIR)/build-arch-stamp

override_dh_auto_install:   $(BDIR)/build-arch-stamp
	dh_auto_install $(DH_AUTO_OPTIONS)  -- $(MAKEARGS)
	rm  $(DESTDIR)/usr/include/dictdplugin.h
	rm  $(DESTDIR)/usr/bin/dictdplugin-config

override_dh_auto_configure: $(BDIR)/configure-stamp

override_dh_auto_clean:
	rm -f $(BDIR)/build-arch-stamp $(BDIR)/build-indep-stamp $(BDIR)/configure-stamp
	dh_auto_clean  $(DH_AUTO_OPTIONS)
	
	rm -f core `find . \( -name '*.orig' -o -name '*.rej' -o -name '*~' \
	        -o -name '*.bak' -o -name '#*#' -o -name '.*.orig' -o -name 'config.log' \
	        -o -name '.*.rej' -o -name '.SUMS' -o -size 0 \) -print` TAGS
	
	dh_autotools-dev_restoreconfig


$(BDIR)/configure-stamp:
	dh_autotools-dev_updateconfig
	
	dh_auto_configure $(DH_AUTO_OPTIONS) --     \
	                --verbose                   \
	                --libexecdir=/usr/lib/dictd \
	                --datadir=/usr/share/dictd  \
	                --sysconfdir=/etc/dictd	    \
	                -- CFLAGS='$(CFLAGS)'       \
	                   CPPFLAGS='$(CPPFLAGS)'   \
	                   LDFLAGS='$(LDFLAGS)'     \
	                   AWK=awk
	
	touch "$@"

$(BDIR)/build-arch-stamp: $(BDIR)/configure-stamp
	dh_auto_build $(DH_AUTO_OPTIONS) -- $(MAKEARGS)
	touch "$@"


override_dh_installchangelogs:
	dh_installchangelogs -k NEWS

override_dh_installinit:
	dh_installinit -- start 20 2 3 4 5 . stop 20 1 .

override_dh_fixperms:
	dh_fixperms
	find debian -mindepth 6 -maxdepth 7 -path "*/usr/share/doc/*" \
	        '!' -name "*.gz" -name "README.*" -exec gzip -9 {} \;
	find debian -mindepth 4 -maxdepth 5 -path "*/dictd/etc/dictd/*" \
	        -name dictdconfig.alias -exec chmod 755 {} \;

force debian/rules:



.PHONY: force debian/rules \
	override_dh_auto_build override_dh_auto_clean                  \
	override_dh_auto_configure override_dh_auto_install            \
	override_dh_installchangelogs override_dh_installinit          \
	override_dh_fixperms

=== debian/watch ===
# control file for the uscan(1) tool
version=3
opts=dversionmangle=s/\+dfsg// \
http://sf.net/dict/dictd-([\d\.]+)\.tar\.gz
